Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-01-2010 00:19:11

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

MyPaint : peinture numérique

MyPaint est un logiciel de peinture numérique qui a notamment été utilisé pour la préproduction de Durian. Autant préciser tout de suite que c'est assez inutile sans tablette graphique !

Le site officiel : http://mypaint.intilinux.com/
La page sur Framasoft : http://www.framasoft.net/article4524.html

Et en bonus un time-lapse réalisé par David Revoy [ Flash inside ] pour le projet Durian avec MyPaint (entre autres) ainsi qu'un topic initié par lui également sur Ubuntu-fr.

MyPaint se trouve dans les dépôts de Squeeze et de Sid.

Attention : La méthode décrite ci-dessous n'est plus valable à partir de la version 0.8.0 de MyPaint ! Si vous souhaitez le compiler sous Lenny, téléchargez la version 0.7.1 !

Pour l'installer sous Lenny, je suis passé par la case compilation qui est extrêmement simple : après avoir téléchargé les sources sur le site officiel, il n'y a plus qu'à appliquer le Readme !

# apt-get install g++ python-dev libglib2.0-dev python-numpy swig scons


# scons prefix=/usr/local install


$ mypaint


Ceci dit il est peut-être possible de l'installer avec du pinning, je n'ai pas testé...


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#2 17-01-2010 12:05:36

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : MyPaint : peinture numérique

Je me suis régalé en regardant la video de David Revoy...excellent ca donne envie smile

Hors ligne

#3 18-01-2010 12:55:46

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : MyPaint : peinture numérique

Carrément, je m'amuse bien avec ! smile

En plein écran avec une Wacom c'est un vrai bonheur !

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#4 30-04-2010 17:39:28

Mimosa
Membre
Inscription : 30-04-2010

Re : MyPaint : peinture numérique

Bonjour,

Je suis sur Debian lenny Amd64.

En faisant comme ton tuto le dit, j'obtiens:

Install file: "lib/strokemap.py" as "/usr/local/share/mypaint/lib/strokemap.py"
protoc --python_out=. lib/strokemap.proto
sh: protoc: command not found
scons: *** [lib/strokemap_pb2.py] Error 127
scons: building terminated because of errors.



puis:

trapanel:/home/remy/Desktop/mypaint-0.8.2# mypaint
Traceback (most recent call last):
  File "/usr/local/bin/mypaint", line 123, in <module>
    from gui import main
  File "/usr/local/share/mypaint/gui/main.py", line 13, in <module>
    assert gtk.ver >= required, 'You need to upgrade PyGTK, at least version %d.%d.%d is required.' % required
AssertionError: You need to upgrade PyGTK, at least version 2.16.0 is required.
trapanel:/home/remy/Desktop/mypaint-0.8.2#



Qu'ais-je oublié?


Cordialement.

Hors ligne

#5 30-04-2010 17:57:10

n3os
Modérateur
Lieu : /Debian/Home/neos
Distrib. : Sid
Noyau : 2.6.35
(G)UI : e17
Inscription : 14-07-2007

Re : MyPaint : peinture numérique

salut,

le paquet existe sous squeeze et sid

Hors ligne

#6 30-04-2010 18:12:53

Mimosa
Membre
Inscription : 30-04-2010

Re : MyPaint : peinture numérique

Oui je sais mais je voulais passer par la case compilation car j'aimerais rester en Lenny.

J'ai essayé car il parait que ça fonctionne.



Cordialement

Hors ligne

#7 30-04-2010 18:21:32

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : MyPaint : peinture numérique

Salut Mimosa,

MyPaint nécessite python-protobuf et protobuf-compiler depuis la version 0.8.0, et n'est donc plus compilable sous Lenny. Essaye en passant par les dépôts de Squeeze, sinon télécharge la version 0.7.1 à la place.

Merci de ton retour, j'ai édité le premier post en conséquence.

Edit : J'ai essayé rapidement, ce n'est pas possible par pinning, à cause des dépendances de Python (impossible d'installer python-protobuf de Squeeze sur Lenny).

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

Pied de page des forums